function e=clique_energy(d,p,th)
%        e=clique_energy(d,p)
%  Compute clique energy: e=d.^2.*mask + th^(2-p)*d.^p.*(1-mask)
%           
%
%  Input arguments --------------------
%  d             -> clique difference 
%  p-> power law exponent
%
% Nonquanized energy

if nargin == 2
   th=0.1;
end
 d=abs(d);
 mask = d <= th;
 e=d.^p;
 e=d.^2.*mask + th^(2-p)*d.^p.*(1-mask); 


% Quantized energy
% 2pi Quantization of phase difference 
%  d=abs(round(d/2/pi)*2*pi);
%  e= d.^p;
return;

